<?php

// web routes  for activity_log
Route::prefix('{guard}/activity')->group(function () {
    Route::resource('activity_log', 'ActivityLogResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ActivityLogResourceController');
            });
            // Public routes for pages
            Route::get('activities/', 'ActivityLogPublicController@index');
            Route::get('activities/{slug?}', 'ActivityLogPublicController@show');
        }
    );
}

