<?php

// API routes  for activity_log
Route::prefix('{guard}/activity')->group(function () {
    Route::get('activity_log/form/{element}', 'ActivityLogAPIController@form');
    Route::resource('activity_log', 'ActivityLogAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for activities
            Route::prefix('{guard}/activity')->group(function () {
                Route::get('activity_log/form/{element}', 'ActivityLogAPIController@form');
                Route::apiResource('activity_log', 'ActivityLogAPIController');
            });
            // Public routes for activities
            Route::get('activity/ActivityLog', 'ActivityLogPublicController@getActivityLog');
        }
    );
}

