<?php

namespace Litepie\Activity\Repositories\Eloquent;

use Litepie\Activity\Interfaces\ActivityLogRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ActivityLogRepository extends BaseRepository implements ActivityLogRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepie.activity.activity_log.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.activity.activity_log.model.model');
    }
}
